//FirstView Component Constructor
function FirstView() {

	var self = Ti.UI.createView();

	var MapModule = require('ti.map');

	var map1 = MapModule.createView({
		userLocation : true,
		mapType : MapModule.NORMAL_TYPE,
		animate : true,
		region : {
			latitude : -33.87365,
			longitude : 151.20689,
			latitudeDelta : 0.1,
			longitudeDelta : 0.1
		}, //Sydney
		height : '80%',
		top : 0,
		left : 0,
		width : '100%'
	});

	var anno1 = MapModule.createAnnotation({
		latitude : -33.86665,
		longitude : 151.20689,
		title : "Anno2",
		subtitle : "Ann2 subtitle",
		animate : true,
		id : 33
	});
	anno1.image = '/mbanking/images/Locations-Pin-Android-red-hdpi.png';
	anno1.rightButton = '/images/locations-android-popover-arrow.png';
	anno1.rightButton.height = 44;
	anno1.rightButton.width = 46;

	var anno2 = MapModule.createAnnotation({
		latitude : -33.87365,
		longitude : 151.20689,
		title : "Anno2",
		subtitle : "Ann2 subtitle",
		animate : true,
		id : 43
	});
	anno2.image = '/mbanking/images/Locations-Pin-Android-red-hdpi.png';
	anno2.rightButton = '/images/locations-android-popover-arrow.png';
	anno2.rightButton.height = 44;
	anno2.rightButton.width = 46;

	var anno3 = MapModule.createAnnotation({
		latitude : -33.87964,
		longitude : 151.21130,
		title : "Anno3",
		subtitle : "Ann3 subtitle",
		animate : true,
		id : 45
	});
	anno3.image = '/mbanking/images/Locations-Pin-Android-red-hdpi.png';
	anno3.rightButton = '/images/locations-android-popover-arrow.png';
	anno3.rightButton.height = 44;
	anno3.rightButton.width = 46;

	var anns = [];
	anns.push(anno1);
	anns.push(anno2);
	anns.push(anno3);
	map1.addAnnotations(anns);

	//setTimeout(function () {
	//map1.selectAnnotation(anno1, true);
	//map1.setHeight('100%');
	//}, 8000);

	/*
	 map1.addEventListener('click', function(e) {
	 var alert = Ti.UI.createAlertDialog({
	 title: 'Clicked!',
	 message: 'e.annotation.id: ' + e.annotation.id + "e.annotation.index: " + e.annotation.index
	 });
	 Ti.API.info("Annotation " + e.title);
	 alert.show();
	 });
	 */

	self.add(map1);

	return self;

}

module.exports = FirstView; 